Bug 728016 - Kernel 2.6.40 breaks wireless broadcom bcm4313
Summary: Kernel 2.6.40 breaks wireless broadcom bcm4313
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kerry   
(Show other bugs)
Version: 15
Hardware: i686
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Sebastian Vahl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 23:22 UTC by Bill Gradwohl
Modified: 2012-08-07 16:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:14:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Gradwohl 2011-08-03 23:22:35 UTC
Description of problem:
Kernel (2.6.40-4.fc15.i686.PAE) caused my wireless to stop working. Reverting to the previous kernel (2.6.38.8-35.fc15.i686.PAE) got it functioning again.

F15 fully patched on an ASUS Eee PC netbook with built in WiFi.

On the faulty kernel the user space tool doesn't see the wireless adapter. lspci clearly shows it. NetworkManager shows that it recognises the kill switch and the adapter, but the user space tools don't see it.

WiFi is via Broadcom Corporation BCM4313 802.11b/g 

If anyone needs me to do any testing, or submit more info, let me know.


Version-Release number of selected component (if applicable):


How reproducible:
boot box - no wireless

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 thunt 2011-08-08 14:03:44 UTC
I have the same issue. 

Broadcom Corporation BCM4313
Dell Latitude E6510
kernel-2.6.40-4.fc15.x86_64

Comment 2 thunt 2011-08-08 14:07:38 UTC
Already seems to be a discussion (or two) regarding this.

Here is one:


http://forums.fedoraforum.org/showthread.php?t=267852

Comment 3 thunt 2011-08-08 14:09:38 UTC
related?

https://bugzilla.redhat.com/show_bug.cgi?id=727796

Comment 4 thunt 2011-08-08 14:18:22 UTC
I include the section from the bugzilla discussion (727796) above that resolved my issue:

##################################
I got my Broadcom card to work again with the wl module.

The only thing I got to do is to blacklist the bcma module in /etc/modprobe.d/blacklist.conf :

blacklist bcma


And after that :

rmmod wl
rmmod bcma
modprobe wl
##################################


Your mileage may vary

Comment 5 Muayyad Alsadi 2011-08-11 17:29:41 UTC
please push the fix in 
https://bugzilla.redhat.com/show_bug.cgi?id=727796

to fedora 15 testing

Comment 6 Stephen Phillips 2011-08-22 14:13:03 UTC
I had the same issue on my 64-bit installation:


$ echo 'Kernel Version: ' `uname -r` && echo 'lspci Info:' && lspci -v | awk '/Ether|Net/,/^$/'
Kernel Version:  2.6.40-4.fc15.x86_64
lspci Info:
03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
	Subsystem: Dell Device 01f2
	Flags: bus master, fast devsel, latency 64, IRQ 17
	Memory at fe5fe000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: b44
	Kernel modules: b44

0c:00.0 Network controller: Broadcom Corporation BCM4312 802.11b/g LP-PHY (rev 01)
	Subsystem: Dell Wireless 1395 WLAN Mini-Card
	Flags: bus master, fast devsel, latency 0, IRQ 17
	Memory at fe8fc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: wl
	Kernel modules: wl, ssb


I did not have the bcma module installed, and blacklisting it did not help.  What ended up solving my issue was to install "kmod-wl-2.6.40-4" and "kmod-wl-3.6.40.3-0".  I still had to boot several times this morning to get the wl module to load.

Comment 7 Muayyad Alsadi 2011-08-22 21:43:34 UTC
same problem, the only way to get wl to work was use older kernel

Comment 8 Fedora End Of Life 2012-08-07 16:14:45 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.